OVM 5 on GnuBee PC2

  • Hi i got this errors when i hit


    Code
    apt-get update

    What i have to do to fix it?


    Code
    apt-get clean
    apt-get update

    Won't fix it

  • It would be easier to to clean install 5. But there is a thread around here somewhere on how to upgrade EOL versions.

    Air Conditioners are a lot like PC's... They work great until you open Windows.


  • Ok. I can't find this thread! What is the keyword for searching it?

    And where is a guide to install EOL OMV 5 on Gnubee PC2?

    It's not an officially supported guide, it's a series of scripts a user wrote.

    Air Conditioners are a lot like PC's... They work great until you open Windows.


  • Upgrade: Upgrade Scripts for non-interactive major release upgrades (2->3, 3->4, 4->5)


    I would not do it.


    Fresh install: if ISO is not working, you can try to install Debian first and the OMV on top of it.

    Have a look at the documents in the left column on this site: https://wiki.omv-extras.org/

  • I agree w/ this... I think you're probably going to be spinning your wheels trying to pull this upgrade off.

    Air Conditioners are a lot like PC's... They work great until you open Windows.


  • I do this tutorial but fails with upgrade OVM to the lastest branch


    https://github.com/gnubee-git/GnuBee_Docs/wiki/Stretch-OMV


    Code
    cd openmediavault/
    git pull
    cd deb/
    make clean binary
    cd ..
    sudo cp `find ./ -name *.deb` /var/local/deb-repo
    cd /var/local/deb-repo
    sudo bash -c 'dpkg-scanpackages . | gzip > Packages.gz'
    sudo apt-get update
    sudo apt-get upgrade

    git pull dosen't work for me!

    Code
    morta@nas:~/openmediavault/deb$ cd ..
    morta@nas:~/openmediavault$ git pull
    You are not currently on a branch.
    Please specify which branch you want to merge with.
    See git-pull(1) for details.
    git pull <remote> <branch>

    What have i to change?


    When i do

    Code
    git clone https://github.com/openmediavault/openmediavault.git

    I get the latest master branch?!

    Is this OMV 6?

  • Why are you following a guide that old. What are the specs of this GNubee? I've tried finding them and can't. Is it a 64bit CPU, 32bit, some ARM processor?


    If you have SSH access, what is the output of


    Code
    uname -a

    Air Conditioners are a lot like PC's... They work great until you open Windows.


  • What are the specs of this GNubee? I've tried finding them and can't. Is it a 64bit CPU, 32bit, some ARM processor?

    http://gnubee.org/internals.html

    OMV 5, Intel core i3 3225, 8GB RAM, PendriveUSB system, ZFS RaidZ 5xWD Red 4TB, 1x120GB SSD Docker

    I DO NOT SPEAK ENGLISH. I translate with google, sorry if sometimes you don't understand me well:)

    A backup is like a belt, you will miss it when your pants fall off. Do you want to stay in your underpants?

  • Still doesn't say 32, 64, or ARM which would make a difference here. The 32/64bit, the install script should install OMV on top of a vanilla Debian 10/11 install. I'm assuming the thing if Raspbian OS can be installed on it


    I guess I'm trying to understand why he is making this so difficult on himself

    Air Conditioners are a lot like PC's... They work great until you open Windows.


  • I guess I'm trying to understand why he is making this so difficult on himself

    It only has 512mb of RAM. Could that be the problem? ...

    OMV 5, Intel core i3 3225, 8GB RAM, PendriveUSB system, ZFS RaidZ 5xWD Red 4TB, 1x120GB SSD Docker

    I DO NOT SPEAK ENGLISH. I translate with google, sorry if sometimes you don't understand me well:)

    A backup is like a belt, you will miss it when your pants fall off. Do you want to stay in your underpants?

  • I have to install Debian Jessie as base system.


    After it i tried the install script and it has failed.

    So i upgraded to Debian Strecht


    It's mipsel architecture and isn't ARM


    A Raspberry Script is for ARM Processors so i had to build it or i'am completely wrong?

  • No, the script will download the appropriate version of OMV to your version of Debian.


    What file are you downloading to install Debian?

    Air Conditioners are a lot like PC's... They work great until you open Windows.



  • Code
    E: The repository 'file:/var/local/deb-repo ./ Release' does not have a Release file.
    N: Updating from such a repository can't be done securely, and is therefore disabled by default.
    N: See apt-secure(8) manpage for repository creation and user configuration details.
    N: Skipping acquire of configured file 'main/binary-mipsel/Packages' as repository 'http://packages.openmediavault.org/public usul InRelease' doesn't support architecture 'mipsel'
    N: Skipping acquire of configured file 'main/binary-mipsel/Packages' as repository 'https://downloads.plex.tv/repo/deb public InRelease' doesn't support architecture 'mipsel'
  • So now i can begin from the beginning but not so bad. It's a risk to execute a script without read before.


    Back to my question how can i compile after OMV 4 the master branch or OMV 5 for mipsel!

    There aren't repository package for this architecture.


    It's possible or not? And how to do it?

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!